<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_7f628626d" . "d1d55c71b1" . "fc0932ffd1" . "d2c" => base64_decode("aXNfYXJyY" . "Xk="), "_963704c97829c" . "bb6c0d426cbb66" . "51452" => base64_decode("cHJvY2Vzc19jbGFf" . "dGVtcGxhdGU="), "_dcd48c94b8c6e6387e4d3a774bd" . "0ce44" => base64_decode("Li4vY29tbW9uL3RlbXBsYXR" . "lci5waHA="), "_fddb56623df" . "b01660a0fb8d" . "b075e147a" => base64_decode("Z2V0dmFyX3N" . "z"));












































class DialogComponent extends ErrorHandler
{
    var $prefix = '';
    var $paramslist = array();
    var $template_location;
    
    
    
    var $params = array();
    
    
    
    
    
    protected $args;
    
    
    public function __construct($_56c5d9025cc65a2df9f8070c67254173, $_b34ee2b639fe77c1ee591c3a641c2133, $prefix = '')
    {
        $this->prefix = $prefix;
        
        
        $this->paramslist = $_56c5d9025cc65a2df9f8070c67254173;
        
        
        $this->template_location = $_b34ee2b639fe77c1ee591c3a641c2133;
        global $args;
        $this->args =& $args;
        return true;
    }
    public function SetArgsArray(&$args)
    {
        $this->args =& $args;
    }
    function GetTemplateLocation()
    {
        return $this->template_location;
    }
    function GetParams($_8dc0592537dc5fb48873bb782fa6feb1 = '')
    {
        foreach ($this->paramslist as $_58f93fdc985d52139f31179b7302ecbf) {
            $_23414dfe449d95adfe59c740e3cb3ebb = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_fddb56623dfb" . "01660a0fb8db0" . "75e147a"]($this->prefix . $_58f93fdc985d52139f31179b7302ecbf);
            $this->params[$_58f93fdc985d52139f31179b7302ecbf] = isset($_23414dfe449d95adfe59c740e3cb3ebb) ? $_23414dfe449d95adfe59c740e3cb3ebb : ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_7f628626d" . "d1d55c71b1" . "fc0932ffd1" . "d2c"]($_8dc0592537dc5fb48873bb782fa6feb1) && isset($_8dc0592537dc5fb48873bb782fa6feb1[$_58f93fdc985d52139f31179b7302ecbf]) ? $_8dc0592537dc5fb48873bb782fa6feb1[$_58f93fdc985d52139f31179b7302ecbf] : null);
        }
        return $this->params;
    }
    function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->params[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->params[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    function CheckParams()
    {
        return true;
    }
    function Show()
    {
        return true;
    }
    function Update()
    {
        return true;
    }
    function GetDialogHTML()
    {
        require_once $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_dcd48c94b8c" . "6e6387e4d3a7" . "74bd0ce44"];
        global $datasources;
        $_34460bffd3af92da81e46ee15e9e66e3 = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_963704c97829c" . "bb6c0d426cbb66" . "51452"]($this->GetTemplateLocation(), $this->args, $datasources);
        return $_34460bffd3af92da81e46ee15e9e66e3;
    }
}